/* mpiv0.h - definitions for reading MPIV0 files */


/* MPIV0 pixel format designations */
typedef enum { RGB24 = 0, RGB15, RGB8, BW8 } MPIV0_FormatIndex;


/* mpiv0_open() - read the header information from an MPIV0 file,
               return file pointer if successful, NULL if error */
FILE *mpiv0_open( char *name, int *xsize, int *ysize,
		    MPIV0_FormatIndex *format );


/* mpiv0_read() - reads a frame from an MPIV0 file
   returns number of frames read (0 = failure, 1 otherwise) */
int mpiv0_read( FILE *fp, int xsize, int ysize, MPIV0_FormatIndex format,
	       unsigned char **r, unsigned char **g, unsigned char **b );

